## org.gnu.gtk.event
Class DialogEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.DialogEvent.Type

Enclosing class:
  DialogEvent

public static class DialogEvent.Type
extends EventType

Field Summary
`static DialogEvent.Type` `CLOSE` This event indicates that the source dialog has closed.
`static DialogEvent.Type` `RESPONSE` This event is emitted when an action widget is clicked or the dialog receives a "delete" event.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE

    public static final DialogEvent.Type CLOSE

  This event indicates that the source dialog has closed.

### RESPONSE

    public static final DialogEvent.Type RESPONSE

  This event is emitted when an action widget is clicked or the dialog receives a "delete" event. On a delete event, the response ID is RESPONSE_NONE. Otherwise it depends on what the user selected.